DATA example5_3;     
DO gc=1 TO 2;            /*定义行变量，表明gc有2行*/
DO gene=1 TO 3;          /*定义行变量，表明gene有3列*/
INPUT f@@;     
OUTPUT;
END;
END;
CARDS;
60 121 69
87 149 64
;
PROC FREQ;     
WEIGHT F;    
TABLE gc*gene/nopercent nocol chisq;    
/*nopercent和nocol限制总百分比和列百分比的输出，chisq选项调用卡方检验结果*/
RUN; 
